package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ActivityInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ActivityInfoService {
	ActivityInfo get(String id);
	boolean exist(String id);
	int insert(ActivityInfo model);
	int update(ActivityInfo model);
	int delete(String id);
	List<ActivityInfo> list();
	Page<ActivityInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}